program main;
{$APPTYPE CONSOLE}
uses
  SysUtils;
var fin,fout:textfile;
i,j,M,K,nn,otvet:shortint;
N:longint;
mas,mass:array [1..10000] of longint;
begin
    assign(fin,'b.in');
    reset(fin);
    assign(fout,'b.out');
    rewrite(fout);
    read(fin,N);
    read(fin,M);
    read(fin,k);
    readln(fin);
    read(fin,nn);
    otvet:=0;
    for i:=1 to k do mas[i]:=0;
    for i:=1 to nn do
    begin
         read(fin,mass[i]);
         j:=mass[i];
         mas[j]:=1;
    end;
    if (mas[1]=1) and (mas[k]=1) then otvet:=nn*N;
    for i:=1 to k do
          begin
              if(mass[i] mod 2=0)or(mass[i] mod 2=1) then otvet:=k*nn
          end;

    for i:=1 to k do
          begin
              if (mas[i]=1)and(mas[i+1]=1) then otvet:=(n-1)*nn+m
              else
              if(mass[i] mod 2=0)or(mass[i] mod 2=1) then otvet:=k*nn
               end;
    if otvet=0 then otvet:=N*K;
    write(fout,otvet);
    close(fout);
    close(fin);
end.
